---
title: "IndieAuth using gpg"
author: ""
date: 2021-05-14T11:38:53+02:00
categories:
tags:

draft: false
type: "post"
description: ""
---

I rediscovered [IndieAuth](https://indieweb.org/IndieAuth) and wanted to try it finally.

As authentication method I decided to use [my gpg key](/gpg), because it's public anyway and something interesting and new to me (I actually never signed anything on the console before).

It took a little try and error before I found the following solution for signing the key:

`gpg --clearsign --default-key name@example.tld gpgmessage.txt`

It's not perfect; it requires to put the message that needs to be signed in a file and puts the signed message in a new file with an `.asc` ending. It would be much nicer if it would allow to do both directly on the console.
